<?php
if (admin_get_php_version() < WPIT_ADMIN_MIN_PHP_VERSION) { ?>		
<div class="updated"><strong><p><?php _e("PHP Version 4 is the minimum required on your server to run the ImageTagger plugin.", 'imagetagger') ?></p>
<p><?php printf(__("Version %s was detected on the server.", 'imagetagger'), phpversion()) ?></p></strong></div>
<?php
return;
}

global $g_imgt_tag_taxonomy;
global $WPIT_SELF_VERSION;
?>


<style type="text/css">
	hr {color:#ccc; background-color:#ccc; height:1px; border:0; }
	.option_highlight {background-color:#FFB;color:#000; }
	.label {display:inline-block;float:left;line-height:2em;vertical-align:middle;width:400px;margin:0;padding:0 0 0 15px;}
	input {padding:1px 0 3px 3px;margin:0; }
	.legend {clear:both;font-size:0.8em;font-style:italic;margin:0;padding:0 0 5px 30px; }
	}
</style>

<script language="JavaScript" type="text/javascript">
<!--
function post_submit(post_var_name, post_var_value) {
  	document.wpit_tagger.elements[post_var_name].value = post_var_value ;
  	document.wpit_tagger.submit();
}
function options_submit(post_var_name, post_var_value) {
  	document.wpit_options.elements[post_var_name].value = post_var_value ;
  	document.wpit_options.submit();
}
-->
</script>


<?php
// Read in existing option values from database

$wpit_admin_display_options = admin_get_option_safe('wpit_admin_display_options', WPIT_ADMIN_INIT_DISPLAY_OPTIONS);
$wpit_admin_tags_source = admin_get_option_safe('wpit_admin_tags_source', WPIT_ADMIN_INIT_TAGS_SOURCE);
$wpit_admin_tags_groups = admin_get_option_safe('wpit_admin_tags_groups', WPIT_ADMIN_INIT_TAGS_GROUPS);
$wpit_admin_background_color = admin_get_option_safe('wpit_admin_background_color', WPIT_ADMIN_INIT_BACKGROUND_COLOR);
$wpit_admin_image_border_w = admin_get_option_safe('wpit_admin_image_border_w', WPIT_ADMIN_INIT_IMAGE_BORDER_W);
$wpit_admin_image_border_color = admin_get_option_safe('wpit_admin_image_border_color', WPIT_ADMIN_INIT_IMAGE_BORDER_COLOR);
$wpit_admin_num_tags_per_col = admin_get_option_safe('wpit_admin_num_tags_per_col', WPIT_ADMIN_INIT_NUM_TAGS_PER_COL);
$wpit_admin_tags_excluded = admin_get_option_safe('wpit_admin_tags_excluded', WPIT_ADMIN_INIT_TAGS_EXCLUDED);
$wpit_admin_img_width_height = admin_get_option_safe('wpit_admin_img_width_height', WPIT_ADMIN_INIT_IMG_WIDTH_HEIGHT);
$wpit_search_num_tags_per_col = admin_get_option_safe('wpit_search_num_tags_per_col', WPIT_SEARCH_INIT_NUM_TAGS_PER_COL);
$wpit_search_form_font = admin_get_option_safe('wpit_search_form_font', WPIT_SEARCH_INIT_FORM_FONT);
$wpit_search_tags_excluded = admin_get_option_safe('wpit_search_tags_excluded', WPIT_SEARCH_INIT_TAGS_EXCLUDED);
$wpit_search_default_display_mode = admin_get_option_safe('wpit_search_default_display_mode', WPIT_SEARCH_INIT_DEFAULT_DISPLAY_MODE);
$wpit_search_display_switchable = admin_get_option_safe('wpit_search_display_switchable', WPIT_SEARCH_INIT_DISPLAY_SWITCHABLE);
$wpit_result_default_display_mode = admin_get_option_safe('wpit_result_default_display_mode', WPIT_RESULT_INIT_DEFAULT_DISPLAY_MODE);
$wpit_result_display_switchable = admin_get_option_safe('wpit_result_display_switchable', WPIT_RESULT_INIT_DISPLAY_SWITCHABLE);
$wpit_tagcloud_num_tags = admin_get_option_safe('wpit_tagcloud_num_tags', WPIT_INIT_TAGCLOUD_NUM_TAGS);
$wpit_tagcloud_font_min = admin_get_option_safe('wpit_tagcloud_font_min', WPIT_INIT_TAGCLOUD_FONT_MIN);
$wpit_tagcloud_font_max = admin_get_option_safe('wpit_tagcloud_font_max', WPIT_INIT_TAGCLOUD_FONT_MAX);
$wpit_tagcloud_color_min = admin_get_option_safe('wpit_tagcloud_color_min', WPIT_INIT_TAGCLOUD_COLOR_MIN);
$wpit_tagcloud_color_max = admin_get_option_safe('wpit_tagcloud_color_max', WPIT_INIT_TAGCLOUD_COLOR_MAX);
$wpit_tagcloud_highlight_color = admin_get_option_safe('wpit_tagcloud_highlight_color', WPIT_INIT_TAGCLOUD_HIGHLIGHT_COLOR);
$wpit_gallery_image_border_w = admin_get_option_safe('wpit_gallery_image_border_w', WPIT_INIT_GALLERY_IMAGE_BORDER_W);
$wpit_gallery_image_border_color = admin_get_option_safe('wpit_gallery_image_border_color', WPIT_INIT_GALLERY_IMAGE_BORDER_COLOR);
$wpit_gallery_image_link_ctrl = admin_get_option_safe('wpit_gallery_image_link_ctrl', WPIT_INIT_GALLERY_IMAGE_LINK_CTRL);
$wpit_gallery_image_num_per_page = admin_get_option_safe('wpit_gallery_image_num_per_page', WPIT_INIT_GALLERY_IMAGE_NUM_PER_PAGE);
$wpit_result_img_list_w_h = admin_get_option_safe('wpit_result_img_list_w_h', WPIT_RESULT_INIT_IMG_LIST_W_H);
$wpit_result_img_gallery_w_h = admin_get_option_safe('wpit_result_img_gallery_w_h', WPIT_RESULT_INIT_IMG_GALLERY_W_H);
$wpit_list_image_num_per_page = admin_get_option_safe('wpit_list_image_num_per_page', WPIT_INIT_LIST_IMAGE_NUM_PER_PAGE);
$wpit_list_title_num_per_page = admin_get_option_safe('wpit_list_title_num_per_page', WPIT_INIT_LIST_TITLE_NUM_PER_PAGE);

//
// First : Process option form data if form was validated
//
$wpit_errmsg = array();
if (strlen($_POST['Submit']) > 0) {

	$wpit_admin_tags_source = $_POST['wpit_admin_tags_source'];		// combo choice - no need of error checking 

	imgt_get_valid_post_data($wpit_admin_tags_groups, 'wpit_admin_tags_groups', 'check_valid_tag_group_definition("VALUE")',
		$invalid_wpit_admin_tags_groups, $wpit_errmsg, __('Tag group definition : incorrect syntax (General)', 'imagetagger'));
	$wpit_admin_tags_groups = trim($wpit_admin_tags_groups);
	
	imgt_get_valid_post_data($wpit_admin_background_color, 'wpit_admin_background_color', "check_valid_colorhex('VALUE')",
		$invalid_wpit_admin_background_color, $wpit_errmsg, __('The fields background color must be a valid hexadecimal color code as 3ff or a1b160 (General)', 'imagetagger'));
	
	imgt_get_valid_post_data($wpit_admin_image_border_w, 'wpit_admin_image_border_w', 'is_int(VALUE) && VALUE >= 0',
		$invalid_wpit_admin_image_border_w, $wpit_errmsg, __('The image frame pixel width must be an integer greater than 0 (Tag Editor)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_admin_image_border_color, 'wpit_admin_image_border_color', "check_valid_colorhex('VALUE')",
		$invalid_wpit_admin_image_border_color, $wpit_errmsg, __('The image frame color must be a valid hexadecimal color code as 3ff or a1b160 (Tag Editor)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_admin_num_tags_per_col, 'wpit_admin_num_tags_per_col', 'is_int(VALUE) && VALUE > 0',
		$invalid_wpit_admin_num_tags_per_col, $wpit_errmsg, __('The number of tags displayed by column must be an integer greater than 0 (Tag Editor)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_admin_tags_excluded, 'wpit_admin_tags_excluded', 'check_string_is_taglist("VALUE")',
		$invalid_wpit_admin_tags_excluded, $wpit_errmsg, __('The tag exclusion list must contain available tags separated by commas (Tag Editor)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_admin_img_width_height, 'wpit_admin_img_width_height', 'is_int(VALUE) && VALUE >= 100',
		$invalid_wpit_admin_img_width_height, $wpit_errmsg, __('The maximum image pixel width or height must be an integer greater than 100 (Tag Editor)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_search_num_tags_per_col, 'wpit_search_num_tags_per_col', 'is_int(VALUE) && VALUE > 0',
		$invalid_wpit_search_num_tags_per_col, $wpit_errmsg, __('The number of tags displayed by column must be an integer greater than 0 (Search format)', 'imagetagger'));
	
	imgt_get_valid_post_data($wpit_search_form_font, 'wpit_search_form_font', 'is_int(VALUE) && VALUE > 0',
		$invalid_wpit_search_form_font, $wpit_errmsg, __('The search form font must be a positive integer expressed in pt (Search format)', 'imagetagger'));
	
	imgt_get_valid_post_data($wpit_search_tags_excluded, 'wpit_search_tags_excluded', 'check_string_is_taglist("VALUE")',
		$invalid_wpit_search_tags_excluded, $wpit_errmsg, __('The tag exclusion list must contain available tags separated by commas (Search format)', 'imagetagger'));

	$wpit_search_default_display_mode = $_POST['wpit_search_default_display_mode'];		// combo choice - no need of error checking

	$wpit_search_display_switchable = $_POST['wpit_search_display_switchable'];		// combo choice - no need of error checking

	imgt_get_valid_post_data($wpit_result_img_list_w_h, 'wpit_result_img_list_w_h', 'is_int(VALUE) && VALUE >= 10',
		$invalid_wpit_result_img_list_w_h, $wpit_errmsg, __('The maximum image pixel width or height must be an integer greater than 10 (Image list output format)', 'imagetagger'));
	
	imgt_get_valid_post_data($wpit_result_img_gallery_w_h, 'wpit_result_img_gallery_w_h', 'is_int(VALUE) && VALUE >= 10',
		$invalid_wpit_result_img_gallery_w_h, $wpit_errmsg, __('The maximum image pixel width or height must be an integer greater than 10 (Gallery output format)', 'imagetagger'));

	$wpit_result_default_display_mode = $_POST['wpit_result_default_display_mode'];		// combo choice - no need of error checking
	
	$wpit_result_display_switchable = $_POST['wpit_result_display_switchable'];			// combo choice - no need of error checking

	imgt_get_valid_post_data($wpit_tagcloud_num_tags, 'wpit_tagcloud_num_tags', 'is_int(VALUE) && VALUE >= 0',
		$invalid_wpit_tagcloud_num_tags, $wpit_errmsg, __('The number of tags displayed in the tag cloud must be an integer greater than 0 ; if 0 all the tags are displayed (Search format)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_tagcloud_font_min, 'wpit_tagcloud_font_min', 'is_int(VALUE) && VALUE >= 0',
		$invalid_wpit_tagcloud_font_min, $wpit_errmsg, __('Tag cloud minimum font size must be a positive integer (Search format)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_tagcloud_font_max, 'wpit_tagcloud_font_max', 'is_int(VALUE) && VALUE >= 0',
		$invalid_wpit_tagcloud_font_max, $wpit_errmsg, __('Tag cloud maximum font size must be a positive integer (Search format)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_tagcloud_color_min, 'wpit_tagcloud_color_min', "intval('VALUE') == -1 || check_valid_colorhex('VALUE')",
		$invalid_wpit_tagcloud_color_min, $wpit_errmsg, __('The minimum tagcloud color must be a valid hexadecimal color code as 3ff or a1b160, or -1 for not using dynamic colors (Search format)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_tagcloud_color_max, 'wpit_tagcloud_color_max', "intval('VALUE') == -1 || check_valid_colorhex('VALUE')",
		$invalid_wpit_tagcloud_color_max, $wpit_errmsg, __('The maximum tagcloud color must be a valid hexadecimal color code as 3ff or a1b160, or -1 for not using dynamic colors (Search format)', 'imagetagger'));
	
	if ($wpit_tagcloud_color_min == -1 && $wpit_tagcloud_color_max != -1){
		$wpit_tagcloud_color_max = -1;
		$wpit_errmsg[] = __('Maximum tag cloud color forced to -1 to disable dynamic tag cloud colors (minimum tag cloud color was manually set to -1)', 'imagetagger');
		$invalid_wpit_tagcloud_color_max = 1;
	}
	if ($wpit_tagcloud_color_min != -1 && $wpit_tagcloud_color_max == -1) {
		$wpit_tagcloud_color_min = -1;
		$wpit_errmsg[] = __('Minimum tag cloud color forced to -1 to disable dynamic tag cloud colors (maximum tag cloud color was manually set to -1)', 'imagetagger');
		$invalid_wpit_tagcloud_color_min = 1;
	}
	
	imgt_get_valid_post_data($wpit_tagcloud_highlight_color, 'wpit_tagcloud_highlight_color', "intval('VALUE') == -1 || check_valid_colorhex('VALUE')",
		$invalid_wpit_tagcloud_highlight_color, $wpit_errmsg, __('The tag cloud highlighting font color must be a valid hexadecimal color code as 3ff or a1b160, or -1 for no higlighting effect (Search format)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_gallery_image_border_w, 'wpit_gallery_image_border_w', 'is_int(VALUE) && VALUE >= 0',
		$invalid_wpit_gallery_image_border_w, $wpit_errmsg, __('The image frame pixel width must be an integer greater than 0 (Gallery output format)', 'imagetagger'));	
	
	imgt_get_valid_post_data($wpit_gallery_image_border_color, 'wpit_gallery_image_border_color', "check_valid_colorhex('VALUE')",
		$invalid_wpit_gallery_image_border_color, $wpit_errmsg, __('The image frame color must be a valid hexadecimal color code as 3ff or a1b160 (Gallery output format)',
		'imagetagger'));
	
	$wpit_gallery_image_link_ctrl = $_POST['wpit_gallery_image_link_ctrl'];				// combo choice - no need of error checking
	
	imgt_get_valid_post_data($wpit_gallery_image_num_per_page, 'wpit_gallery_image_num_per_page', 'is_int(VALUE) && VALUE > 0',
		$invalid_wpit_gallery_image_num_per_page, $wpit_errmsg, __('The number of images per page must be positive (Gallery output format)', 'imagetagger'));
	
	imgt_get_valid_post_data($wpit_list_image_num_per_page, 'wpit_list_image_num_per_page', 'is_int(VALUE) && VALUE > 0',
		$invalid_wpit_list_image_num_per_page, $wpit_errmsg, __('The number of images per page must be positive (Image list output format)', 'imagetagger'));

	imgt_get_valid_post_data($wpit_list_title_num_per_page, 'wpit_list_title_num_per_page', 'is_int(VALUE) && VALUE > 0',
		$invalid_wpit_list_title_num_per_page, $wpit_errmsg, __('The number of image titles per page must be positive (Title list output format)', 'imagetagger'));


// Update database with new values
	update_option( 'wpit_admin_tags_source', $wpit_admin_tags_source );
	update_option( 'wpit_admin_tags_groups', $wpit_admin_tags_groups);
	update_option( 'wpit_admin_background_color', $wpit_admin_background_color);
	update_option( 'wpit_admin_image_border_w', $wpit_admin_image_border_w );
	update_option( 'wpit_admin_image_border_color', $wpit_admin_image_border_color );
	update_option( 'wpit_admin_num_tags_per_col', $wpit_admin_num_tags_per_col );
	update_option( 'wpit_admin_tags_excluded', $wpit_admin_tags_excluded );
	update_option( 'wpit_admin_img_width_height', $wpit_admin_img_width_height );
	update_option( 'wpit_search_num_tags_per_col', $wpit_search_num_tags_per_col );
	update_option( 'wpit_search_form_font', $wpit_search_form_font );
	update_option( 'wpit_search_tags_excluded', $wpit_search_tags_excluded );
	update_option( 'wpit_search_default_display_mode', $wpit_search_default_display_mode );
	update_option( 'wpit_search_display_switchable', $wpit_search_display_switchable );
	update_option( 'wpit_tagcloud_num_tags', $wpit_tagcloud_num_tags );
	update_option( 'wpit_tagcloud_font_min', $wpit_tagcloud_font_min );
	update_option( 'wpit_tagcloud_font_max', $wpit_tagcloud_font_max );
	update_option( 'wpit_tagcloud_color_min', $wpit_tagcloud_color_min );
	update_option( 'wpit_tagcloud_color_max', $wpit_tagcloud_color_max );
	update_option( 'wpit_tagcloud_highlight_color', $wpit_tagcloud_highlight_color );
	update_option( 'wpit_selector_background_color', $wpit_selector_background_color );
	update_option( 'wpit_gallery_image_border_w', $wpit_gallery_image_border_w );
	update_option( 'wpit_gallery_image_border_color', $wpit_gallery_image_border_color );
	update_option( 'wpit_gallery_image_link_ctrl', $wpit_gallery_image_link_ctrl );
	update_option( 'wpit_gallery_image_num_per_page', $wpit_gallery_image_num_per_page );
	update_option( 'wpit_result_img_list_w_h', $wpit_result_img_list_w_h );
	update_option( 'wpit_result_img_gallery_w_h', $wpit_result_img_gallery_w_h );
	update_option( 'wpit_result_default_display_mode', $wpit_result_default_display_mode );
	update_option( 'wpit_result_display_switchable', $wpit_result_display_switchable );
	update_option( 'wpit_list_image_num_per_page', $wpit_list_image_num_per_page );
	update_option( 'wpit_list_title_num_per_page', $wpit_list_title_num_per_page );
}	// end : form submission

// Rebuid tag list
imgt_taxonomy_update();
//$g_imgt_tag_taxonomy = array();		// UNCOMMENT TO SIMULATE NO TAGs
if (!admin_check_taxonomy_not_empty())		// in case no tag is detected in the blog :  exit right now
	exit();

if (0){
	echo "view = " . $_POST['view'] . "<br/>";;
	echo "list_type = " . $_POST['list_type'] . "<br/>";;
	echo "list_img_id = " . $_POST['list_img_id'] . "<br/>";;
	echo "panel_img_id = " . $_POST['panel_img_id'] . "<br/>";;
	echo "display_options = " . ($display_options ? 'true' : 'false') . "<br/>";;
	echo "submit = " . strlen($_POST['Submit']) . "<br/>";
}

// Define if options panel is hidden or displayed
if (!isset($_POST['display_options']))
	$display_options = $wpit_admin_display_options;
else
	$display_options = $_POST['display_options'];
update_option('wpit_admin_display_options', $display_options );	// record setup in DB

// Define view 
if (strlen($_POST['view']) > 0) {	// switch from image tagging panel to list view or reversely
	$view = $_POST['view'];
} else {	// default
	$view = "tagging_view";
}

if ($_POST['list_img_id']>0){		// user clicked on an image title in the admin panel, list mode => switch view to tagging
	$obj_id=$_POST['list_img_id'];
	$view = "tagging_view";
}

// Define list type (used for list view)
if (strlen($_POST['list_type']) > 0)
	$list_type = $_POST['list_type'];
else
	$list_type = "untagged_images";
	
if (strlen(trim($_POST['list_view_search'])) > 0)
	$list_view_search = trim($_POST['list_view_search']);

// Define image offset for list view pagination
if (!$_POST['list_image_start_page'])
	$list_image_start_page = 0;
else
	$list_image_start_page = $_POST['list_image_start_page'];


//
// Then : Process images form data 
//
if ($view == 'tagging_view') {
	$img_list = imgt_get_images('untagged_images', $count, $reason);
	// Retrieve image
	if (!$obj_id) {						// object not selected yet (only way : coming from list view having clicked on an image)
		if (isset($_GET['id'])){		// user clicked on image caption on a post or page
			$obj_id=$_GET['id'];
		} else if ($_POST['panel_img_id'] > 0){		// user tagged an image
			$obj_id=$_POST['panel_img_id'];
		} else {	// user came to the admin panel straight. In this case select the first available image
			$obj_id = admin_get_current_image($img_list, $reason);
		}
	}
	
	$print_msg_image_tagged = 0;
	$former_obj_id = 0;
	if(isset($_POST['set']) || isset($_POST['setandnext'])) {
		// update DB
		imgt_set_image_tags($obj_id, $_POST['tags']);
		$img_list = imgt_get_images('untagged_images', $count, $reason);
		if (isset($_POST['setandnext'])) {
			// retrieve next image
			$former_obj_id = $obj_id;
			$obj_id = admin_get_current_image($img_list, $reason);
		}
		$print_msg_image_tagged = (sizeof($_POST['tags']) ? 1 : 2);		// tagged or reset depending on tag count
	} else if(isset($_POST['clear'])) {
		// update DB : clear all values with empty array
		imgt_set_image_tags($obj_id, array());
		$img_list = imgt_get_images('untagged_images', $count, $reason);	// Sizeof img list should have increased by 1
		$print_msg_image_tagged = 2;		// reset
	} else if(isset($_POST['get'])) {
		// update DB : retrieve original values = do nothing
		$print_msg_image_tagged = 3;		// retrieved
	}
} else { 	// image list view
	imgt_get_images('count_images', $count, $reason);
}
?>

<div class="wrap">

<!-- Start by displaying image tagger panel -->
<h2>ImageTagger - <?php ($view == 'tagging_view' ? _e('Tag Editor', 'imagetagger') : _e('Image Explorer', 'imagetagger')) ?> <span style="color:#CCC">(<span title="<?php echo __('Total number of images', 'imagetagger') . '">' . $count->total . '</span>/<span title="' . __('Number of images tagged', 'imagetagger') . '">' . $count->tagged . '</span>/<span title="' . __('Number of images remaining untagged', 'imagetagger') . '">' . $count->untagged ?></span>)</span>&nbsp;&nbsp;<span style="font-size:0.5em">
<?php if ($view == 'tagging_view') { ?>
	<a href="" onClick="post_submit('view', 'list_view');return false"><?php _e('Switch to ', 'imagetagger') ; _e('Image Explorer', 'imagetagger') ?> >>
<?php } else { ?>
	<a href="" onClick="post_submit('view', 'tagging_view');return false"><< <?php _e('Switch to ', 'imagetagger') ; _e('Tag Editor', 'imagetagger') ?></a>
<?php } ?>
</a></span></h2><br/>

<form name="wpit_tagger" method="post" action="">
<input type="hidden" name="display_options" value="<?php echo $display_options ?>">

<?php if ($view == 'tagging_view') { // ===================================================== Tagging view ===================================================== ?>
<input type="hidden" name="view" value="tagging_view">
<input type="hidden" name="list_type" value="<?php echo $list_type ?>">
<input type="hidden" name="panel_img_id" value="<?php echo $obj_id ?>">

<?php
// Retrieve image information
if ($obj_id) {
	//$untagged_count = sizeof($img_list);
	$img_info = imgt_get_img_info($obj_id);
	//print_ro($img_info);
	$img_filename = basename($img_info->url);
	$processed_img_filename = $img_filename;
	if ($former_obj_id) {
		$former_img_info = imgt_get_img_info($former_obj_id);
		$processed_img_filename = basename($former_img_info->url);		
	}
	$img_tags = imgt_get_image_tags($obj_id);
	//print_ro($img_tags);
?>

<div style="clear:both;float:left"><a href="<?php echo $img_info->url ?>"><img src="<?php echo $img_info->url ?>"  <?php echo ($img_info->w<$img_info->h ? 'height' : 'width')."=" . $wpit_admin_img_width_height ?>" style="border:<?php echo $wpit_admin_image_border_w ?>px solid #<?php echo $wpit_admin_image_border_color ?>"/></a></div>
<div style="float:left"><p style="padding-left:10px"><i><?php _e('Photo', 'imagetagger') ?> :</i> <?php echo $img_filename ?><br /><i><?php _e('Description', 'imagetagger') ?> :</i> <?php echo $img_info->title ?><br/><i>Page :</i> <a href="<?php echo $img_info->post_URI ?>"><?php echo $img_info->post_title ?></a><br /><br /><i><?php _e('Tags') ?></i> : 
<?php
if (empty($img_tags))
	_e("None", 'imagetagger');
else {
	foreach($img_tags as $n=>$img_tag)
		echo '<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . $img_tag->name;
}
?>
</p></p></div><div style="clear:both">&nbsp;</div><br/>


<?php // Display tag form	
	echo print_tag_form($img_tags, 1);
?>
</div>

<div class="submit" style="clear:both;padding:15px 0 10px 0"><input type="submit" value="<?php _e("Set and Next", 'imagetagger') ?> &raquo;" name="setandnext"> <input type="submit" value="<?php _e("Set", 'imagetagger') ?>" name="set"> <input type="submit" value="<?php _e("Get", 'imagetagger') ?>" name="get"> <input type="submit" value="<?php _e("Clear", 'imagetagger') ?>" name="clear"></div>

<?php
	if ($print_msg_image_tagged == 1) { ?>
		<div class="updated"><strong><p><i><?php echo $processed_img_filename . '</i> : ' ; _e('image tagged with selected themes.', 'imagetagger') ?></p></strong></div>
	<?php } else if ($print_msg_image_tagged == 2) { ?>
		<div class="updated"><strong><p><i><?php echo $processed_img_filename . '</i> : ' ; _e('image tagging reset.', 'imagetagger') ?></p></strong></div>
	<?php } else if ($print_msg_image_tagged == 3) { ?>
		<div class="updated"><strong><p><i><?php echo $processed_img_filename . '</i> : ' ; _e('image tags read from database.', 'imagetagger') ?></p></strong></div>
	<?php }
	} // end if ($obj_id) ?>
</form>
<?php } // end display tagging panel ?>


<?php if ($view == 'list_view') { // ===================================================== List view ===================================================== 
	$num_img_per_page = 100;
	$img_list = imgt_match_keyword($list_type, $list_view_search);
	//print_ro($img_list);
	$num_img = count($img_list);
	$start_img_num = $list_image_start_page;
	$stop_img_num = $start_img_num + $num_img_per_page;
	if ($stop_img_num > $num_img)
		$stop_img_num = $num_img;
	$start_previous = $list_image_start_page - $num_img_per_page;
	$start_next = $list_image_start_page + $num_img_per_page;
	if (!$num_img)
		echo '<div class="updated"><strong><p><i>' . __("No image matching this search.", "imagetagger") . '</p></strong></div>';	
?>
<input type="hidden" name="view" value="list_view">
<input type="hidden" name="list_type" value="<?php echo $list_type ?>">
<input type="hidden" name="list_image_start_page" value="">
<input type="hidden" name="list_img_id" value="">

<p style="padding:0px 0px 20px 0px;margin:0;font-size:0.9em"><em><?php _e('Displaying images', 'imagetagger') ?> :</em> <?php echo ($list_type != 'tagged_images' ? '<a href="" title="' . __('Display tagged images', 'imagetagger') . '" onClick="post_submit(' . "'list_type', 'tagged_images');return false" . '">' : '') . __('tagged', 'imagetagger') .  ($list_type != 'tagged_images' ? '</a>' : '') . '&nbsp; ' . ($list_type != 'untagged_images' ? '<a href="" title="' . __('Display untagged images', 'imagetagger') . '" onClick="post_submit(' . "'list_type', 'untagged_images');return false" . '">' : '') . __('untagged', 'imagetagger') . ($list_type != 'utagged_images' ? '</a>' : '') . '&nbsp; ' . ($list_type != 'all_images' ? '<a href="" title="' . __('Display all images', 'imagetagger') . '" onClick="post_submit(' . "'list_type', 'all_images');return false" . '">' : '') . __('all', 'imagetagger') . ($list_type != 'all_images' ? '</a>' : '') ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type="text" name="list_view_search" value="<? echo $list_view_search ?>" size="40" title="<?php _e('The search currently supports single keyword pattern - Search will be done on image title and hosting post or page title', 'imagetagger') ?>"></p>

<?php
	if ($num_img > $num_img_per_page) { 	// display pagination
		$paginate_image_list = '<em>' . __('Images', 'imagetagger') . ' ' . (int)($start_img_num+1) . ' ' . __('to', 'imagetagger') . ' ' . $stop_img_num . ' / ' . $num_img . '</em>&nbsp;&nbsp;&nbsp;' . ($list_image_start_page >= $num_img_per_page ? '<a href="" onClick="post_submit(' . "'list_image_start_page', '" . $start_previous . "');return false" . '">' : '') . '< ' . __('Previous', 'imagetagger') . ($list_image_start_page >= $num_img_per_page ? '</a>' : '') . '&nbsp;&nbsp;' . ($stop_img_num < $num_img ? '<a href="" onClick="post_submit(' . "'list_image_start_page', '" . $start_next . "');return false" . '">' : '') . __('Next', 'imagetagger') . ' >' . ($stop_img_num < $num_img ? '</a>' : '');
		echo '<p style="padding:0;margin:0 0 20px 0">' . $paginate_image_list . '</p>';
	}

	for($i = $start_img_num; $i < $stop_img_num; $i++) {
		$img_id = $img_list[$i];
		$img_info = imgt_get_img_info($img_id);
		$img_tags = imgt_get_image_tags($img_id);
		$bckcol = ($i % 2 ? "ffffff" : "f0f0f0");
		echo '<div style="clear:both;background-color:#' .  $bckcol . '"><p style="clear:both;float:left;width:500px;margin:0;padding:0"><a href="'. $img_info->post_URI . 
		'" title="'  . __('Go to page', 'imagetagger') . '" style="color:#889">' . $img_info->post_title . '</a> : <a href="" title="' . __('Tag image', 'imagetagger') . 
		" " . $img_id . '" onClick="post_submit(' . "'" . 'list_img_id' . "'" . ",'" . $img_id . "'" . ');return false">' . $img_info->title . '</a></p><p style="margin:0;padding:0">';
		foreach($img_tags as $key=>$img_tag) {
			if ($key) echo ", ";
			echo $img_tag->name; 
		}
		if (!count($img_tags))
			echo "&nbsp;";
		echo '</p></div>';
	}
	
	if ($num_img > $num_img_per_page)	// display pagination
		echo '<p style="clear:both;margin:0;padding:20px 0 30px 0">' . $paginate_image_list . '</p>';

?>

</form>

<?php } // End list view ?>


<hr />



<!-- Then display the option form  ======================================================================================================= -->
<form name="wpit_options" method="post" action="">
<input type="hidden" name="view" value="<?php echo $view?>">
<input type="hidden" name="list_type" value="<?php echo $list_type ?>">
<input type="hidden" name="display_options" value="<?php echo $display_options ?>">

<h2><?php _e('ImageTagger Options', 'imagetagger') ?> &nbsp;&nbsp;<span style="font-size:0.5em"><a href="" onClick="options_submit('display_options', '<?php echo !$display_options ?>');return false"><?php echo ($display_options ? '<< ' . __('Hide', 'imagetagger') : __('Show', 'imagetagger')) . ' ' . __('options setup panel', 'imagetagger') . ($display_options ? '' : ' >>') ?></a></span></h2>


<?php	
if ($display_options) {
?>
<?php
// Print acknowledge message
if ( strlen($_POST[ 'Submit' ]) > 0 ) { ?>
	<div class="updated"><strong> 
<?php
	if (!empty($wpit_errmsg)) {
		foreach ($wpit_errmsg as $errmsg) {
			echo '<p>' . $errmsg . '</p>';
		}
	echo '<p style="padding-top:7px">>> ' ; printf(_n("Invalid value restored to the last correct setting.", "Invalid values restored to the last correct settings.", sizeof($wpit_errmsg), 'imagetagger')); echo '</p>';
	}
 else { ?>
	<p><?php _e('Options saved.', 'imagetagger') ?></p> 
<?php } ?>
	</strong></div>
<?php } ?>


<strong><?php _e("General", 'imagetagger'); ?></strong><br/>


<p class="label"><?php _e("Tagging source", 'imagetagger' ); ?></p>
<select name="wpit_admin_tags_source">
<option value="1" <?php echo ($wpit_admin_tags_source == 1 ? "selected" : "") . '>'; _e("Tags", 'imagetagger') ?>&nbsp;</option>
<option value="3" <?php echo ($wpit_admin_tags_source == 3 ? "selected" : "") . '>'; _e("Categories", 'imagetagger') ?>&nbsp;</option>
<option value="2" <?php echo ($wpit_admin_tags_source == 2 ? "selected" : "") . '>'; _e("Tags and categories", 'imagetagger') ?>&nbsp;</option></select>
<p class="legend"><?php _e('You can tag images either with your blog tags, with your categories, or with your tags and categories merged together', 'imagetagger')?></p>

<div style="float:left"><p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_tags_groups, $h_on, $h_off);
echo $h_on ; _e("Tags groups", 'imagetagger'); echo $h_off; ?>
<p class="legend" style="width:350px"><?php _e('Optional : you can regroup the above tags by groups so that those tags are displayed by groups. This applies to the tagging panel form as well as to the search form. If you do not need to categorize your tags, keep this field empty. Otherwise, use the following CSV syntax, one group definition per line : ', 'imagetagger')?><br /><span style="font-style:normal">&nbsp;&nbsp;&nbsp;&nbsp;<?php _e('my_group1_name', 'imagetagger')?>=tag1,tag2,tag5,tag7, ... ,tag n <br />&nbsp;&nbsp;&nbsp;&nbsp;<?php _e('my_group2_name', 'imagetagger')?>=tag3,tag4,tag6, ... , tag m<br/>&nbsp;&nbsp;&nbsp;&nbsp;...</span><br/><?php _e('Spaces do not matter - The tags not listed in these groups will be listed at the end in the default category. Optionnally, you can name this default category by adding as last line', 'imagetagger') ?> :<br/><span style="font-style:normal">&nbsp;&nbsp;&nbsp;&nbsp;<?php _e('my_default_group_name', 'imagetagger')?>=</span> <?php _e('(do not add anything after "=")', 'imagetagger')?></p></div><div><textarea name="wpit_admin_tags_groups" cols="70" rows="9"><?php echo stripslashes($wpit_admin_tags_groups); ?></textarea></div>

<div style="clear:both"><p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_group_background_color, $h_on, $h_off);
echo $h_on ; _e("Fields background color", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_admin_background_color" value="<?php echo $wpit_admin_background_color; ?>" size="8">
<p class="legend"><?php _e('This color is used for the fields background in the tagging panel and search form', 'imagetagger')?></p></div>
<br/>


<strong><?php _e("Tag Editor", 'imagetagger'); ?></strong><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_tags_excluded, $h_on, $h_off);
echo $h_on ; _e("Tagging excluded tags", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_admin_tags_excluded" value="<?php echo $wpit_admin_tags_excluded; ?>" size="60">
<p class="legend"><?php _e('List of comma separated tag names defined in your blog and that will not appear in the Tag Editor above', 'imagetagger')?></p>
 
<p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_num_tags_per_col, $h_on, $h_off);
echo $h_on ; _e("Number of tags displayed per column", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_admin_num_tags_per_col" value="<?php echo $wpit_admin_num_tags_per_col; ?>" size="4">
<p class="legend"><?php _e('Set this number to have a convenient columnar display of your tags in the Tag Editor above, properly spread over the above available horizontal space', 'imagetagger')?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_img_width_height, $h_on, $h_off);
echo $h_on ; _e("Maximum image pixel width or height", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_admin_img_width_height" value="<?php echo $wpit_admin_img_width_height; ?>" size="4">
<p class="legend"><?php _e('Used to scale the images displayed on the Tag Editor above. The largest of the (width, height) will be scaled to this number', 'imagetagger')?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_image_border_w, $h_on, $h_off);
echo $h_on ; _e("Image frame pixel width", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_admin_image_border_w" value="<?php echo $wpit_admin_image_border_w; ?>" size="4"><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_admin_image_border_color, $h_on, $h_off);
echo $h_on ; _e("Image frame color in hex format", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_admin_image_border_color" value="<?php echo $wpit_admin_image_border_color; ?>" size="8"><br/><br/>



<strong><?php _e("Search format", 'imagetagger'); ?></strong><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_search_tags_excluded, $h_on, $h_off);
echo $h_on ; _e("Search excluded tags", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_search_tags_excluded" value="<?php echo $wpit_search_tags_excluded; ?>" size="60">
<p class="legend"><?php _e('List of comma separated tag names defined in your blog and that will not appear in the list of searchable tags', 'imagetagger')?></p>

<p class="label"><?php _e("Default search display mode", 'imagetagger' ); ?></p>
<select name="wpit_search_default_display_mode">
<option value="1" <?php echo ($wpit_search_default_display_mode == 1 ? "selected" : "") . '>'; _e("Tag cloud", 'imagetagger') ?>&nbsp;</option>
<option value="3" <?php echo ($wpit_search_default_display_mode == 3 ? "selected" : "") . '>'; _e("Search form", 'imagetagger') ?>&nbsp;</option>
<option value="2" <?php echo ($wpit_search_default_display_mode == 2 ? "selected" : "") . '>'; _e("Combined", 'imagetagger') ?>&nbsp;</option></select>
<p class="legend"><?php _e('Tag cloud is more compact but does not allow the multi-criteria search provided by the check boxes form.', 'imagetagger')?><br/>
<?php _e('The combined mode permits to refine the initial search done with the cloud thanks to the form.', 'imagetagger') ?></p>

<p class="label"><?php _e("Visitors can switch between available search formats", 'imagetagger' ); ?></p>
<select name="wpit_search_display_switchable">
<option value="1" <?php echo ($wpit_search_display_switchable==1 ? "selected" : "") . '>'; _e("Yes", 'imagetagger') ?>&nbsp;</option>
<option value="0" <?php echo ($wpit_search_display_switchable==0 ? "selected" : "") . '>'; _e("No", 'imagetagger') ?>&nbsp;</option></select>
<p class="legend"><?php _e('If "yes" is selected, the result page allows the user to dynamically select the most appropriate search format', 'imagetagger') ?>.<br/>
<?php _e("Otherwise, format is fixed to default display style set above - Javascript must be enabled in the navigator to use this capability", 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_search_num_tags_per_col, $h_on, $h_off);
echo $h_on ; _e("Number of tags displayed per column in form mode", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_search_num_tags_per_col" value="<?php echo $wpit_search_num_tags_per_col; ?>" size="4">
<p class="legend"><?php _e('Set this number to have a convenient columnar display of your tags in the search section, properly spread over the available horizontal space', 'imagetagger')?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_search_form_font, $h_on, $h_off);
echo $h_on ; _e("Search form font size (pt)", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_search_form_font" value="<?php echo $wpit_search_form_font; ?>" size="4">
<p class="legend"><?php _e('Font size to be used for the search form made of check boxes and tags', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_tagcloud_num_tags, $h_on, $h_off);
echo $h_on ; _e("Number of tags displayed in the tag cloud", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_tagcloud_num_tags" value="<?php echo $wpit_tagcloud_num_tags; ?>" size="4">
<p class="legend"><?php _e('Number of tags selected among the highest ranked displayed in the tag cloud ; put 0 to get all the tags', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_tagcloud_font_min, $h_on, $h_off);
echo $h_on ; _e("Tag cloud minimum font size (pt)", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_tagcloud_font_min" value="<?php echo $wpit_tagcloud_font_min; ?>" size="4"><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_tagcloud_font_max, $h_on, $h_off);
echo $h_on ; _e("Tag cloud maximum font size (pt)", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_tagcloud_font_max" value="<?php echo $wpit_tagcloud_font_max; ?>" size="4"><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_tagcloud_color_min, $h_on, $h_off);
echo $h_on ; _e("Minimum tag cloud color in hex format", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_tagcloud_color_min" value="<?php echo $wpit_tagcloud_color_min; ?>" size="8">
<p class="legend"><?php _e('Tag cloud dynamic colors : this font color will be used for the tags with the lowest use. Set to -1 to not use dynamic colors', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_tagcloud_color_max, $h_on, $h_off);
echo $h_on ; _e("Maximum tag cloud color in hex format", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_tagcloud_color_max" value="<?php echo $wpit_tagcloud_color_max; ?>" size="8">
<p class="legend"><?php _e('Tag cloud dynamic colors : this font color will be used for the tags with the highest use. Set to -1 to not use dynamic colors', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_tagcloud_highlight_color, $h_on, $h_off);
echo $h_on ; _e("Tag cloud highlighting font color in hex format", 'imagetagger'); echo $h_off; ?></p>
<input type="text" name="wpit_tagcloud_highlight_color" value="<?php echo $wpit_tagcloud_highlight_color; ?>" size="8">
<p class="legend"><?php _e('This font color is used to highlight the tags selected for a search ; used also for the tag cloud hover effect when dynamic colors are used for the tag cloud', 'imagetagger') ?>.<br/>
<?php _e('Set to -1 if you don\'t want hover effect in your tag cloud with dynamic colors and if you don\'t want to highlight the selected tag', 'imagetagger') ?></p><br/>



<strong><?php _e("Output format", 'imagetagger' ); ?></strong><br/>

<p class="label"><?php _e("Default result display mode", 'imagetagger' ); ?></p>
<select name="wpit_result_default_display_mode">
<option value="1" <?php echo ($wpit_result_default_display_mode == 1 ? "selected" : "") . '>'; _e("Image gallery", 'imagetagger') ?>&nbsp;</option>
<option value="2" <?php echo ($wpit_result_default_display_mode == 2 ? "selected" : "") . '>'; _e("Image list", 'imagetagger') ?>&nbsp;</option>
<option value="3" <?php echo ($wpit_result_default_display_mode == 3 ? "selected" : "") . '>'; _e("Title list", 'imagetagger') ?>&nbsp;</option></select>
<p class="legend"><?php _e('Select gallery style for a condensed graphical output, title list for pure text.', 'imagetagger')?><br/>
<?php _e('Images will be scaled in both cases using maximum image pixel width or height specified below', 'imagetagger') ?></p>

<p class="label"><?php _e("Visitors can switch between available output formats", 'imagetagger' ); ?></p>
<select name="wpit_result_display_switchable">
<option value="1" <?php echo ($wpit_result_display_switchable==1 ? "selected" : "") . '>'; _e("Yes", 'imagetagger') ?>&nbsp;</option>
<option value="0" <?php echo ($wpit_result_display_switchable==0 ? "selected" : "") . '>'; _e("No", 'imagetagger') ?>&nbsp;</option></select><br/>
<p class="legend"><?php _e('If "yes" is selected, the result page allows the user to dynamically select the most appropriate output format', 'imagetagger') ?>.<br/>
<?php _e("Otherwise, format is fixed to default output style set above - Javascript must be enabled in the navigator to use this capability", 'imagetagger') ?></p><br/>




<strong><?php _e("Gallery output format", 'imagetagger' ); ?></strong><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_gallery_image_num_per_page, $h_on, $h_off);
echo $h_on ; _e("Number of images per gallery page ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_gallery_image_num_per_page" value="<?php echo $wpit_gallery_image_num_per_page; ?>" size="4">
<p class="legend"><?php _e('Number of images to be listed on the search result page in case the display format is set to "Gallery"', 'imagetagger') ?></p>

<p class="label"><?php _e("Link on the gallery thumbnails points to ", 'imagetagger' ); ?></p>
<select name="wpit_gallery_image_link_ctrl">
<option value="1" <?php echo ($wpit_gallery_image_link_ctrl==1 ? "selected" : "") . '>'; _e('Plain size image', 'imagetagger') ?>&nbsp;</option>
<option value="2" <?php echo ($wpit_gallery_image_link_ctrl==2 ? "selected" : "") . '>'; _e('Post containing the image', 'imagetagger') ?>&nbsp;</option></select>
<p class="legend"><?php _e('Select "Plain size image" to link the gallery thumbnails to the full size image', 'imagetagger') ?>.<br/>
<?php _e('Otherwise the thumbnails will be linked to the post where the image was posted', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_result_img_gallery_w_h, $h_on, $h_off);
echo $h_on ; _e("Maximum image pixel width or height ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_result_img_gallery_w_h" value="<?php echo $wpit_result_img_gallery_w_h; ?>" size="4">
<p class="legend"><?php _e('Used to scale the images displayed in gallery display mode on the Image Tag Search Result Page. The largest of the (width, height) will be scaled to this number', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_gallery_image_border_w, $h_on, $h_off);
echo $h_on ; _e("Image frame pixel width ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_gallery_image_border_w" value="<?php echo $wpit_gallery_image_border_w; ?>" size="4">
<p class="legend"><?php _e('Image border width used for the gallery display style. If border is set to 0, images are displayed border to border', 'imagetagger') ?>.<br/><?php _e('In case an image framing plugin or theme is activated, this setting will be likely superseded by the specific framing theme or plugin', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_gallery_image_border_color, $h_on, $h_off);
echo $h_on ; _e("Image border color in hex format ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_gallery_image_border_color" value="<?php echo $wpit_gallery_image_border_color; ?>" size="8">
<p class="legend"><?php _e('Image border color used to frame each gallery image. This parameter is significant only if the image border set above is greater than 0', 'imagetagger') ?>.<br/><?php _e('In case an image framing plugin or theme is activated, this setting will be likely superseded by the specific framing theme or plugin', 'imagetagger') ?></p><br/>



<strong><?php _e("Image list output format", 'imagetagger' ); ?></strong><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_list_image_num_per_page, $h_on, $h_off);
echo $h_on ; _e("Number of images per list page ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_list_image_num_per_page" value="<?php echo $wpit_list_image_num_per_page; ?>" size="4">
<p class="legend"><?php _e('Number of images to be listed on the search result page in case the display format is set to "Image list"', 'imagetagger') ?></p>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_result_img_list_w_h, $h_on, $h_off);
echo $h_on ; _e("Maximum image pixel width or height ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_result_img_list_w_h" value="<?php echo $wpit_result_img_list_w_h; ?>" size="4">
<p class="legend"><?php _e('Used to scale the images displayed in itemized display mode on the Image Tag Search Result Page. The largest of the (width, height) will be scaled to this number', 'imagetagger') ?></p><br/>



<strong><?php _e("Title list output format", 'imagetagger' ); ?></strong><br/>

<p class="label"><?php imgt_get_error_highlight($invalid_wpit_list_title_num_per_page, $h_on, $h_off);
echo $h_on ; _e("Number of image titles per list page ", 'imagetagger' ); echo $h_off; ?></p>
<input type="text" name="wpit_list_title_num_per_page" value="<?php echo $wpit_list_title_num_per_page; ?>" size="4">
<p class="legend"><?php _e('Number of image titles to be listed on the search result page in case the display format is set to "Title list"', 'imagetagger') ?></p>




<div class="submit" style="padding-top:5px"><input type="submit" name="Submit" value="<?php _e('Update Options', 'imagetagger' ) ?> &raquo;" /></div>

<? } // end if ($display_options) ?>

</form>

<hr />
<p style="padding:0;margin-top:-5px;font-size:0.8em"><em><?php echo ' <a href="http://www.photos-dauphine.com/wp-imagetagger-plugin" title="WordPress ImageTagger Plugin Home">WP ImageTagger</a> ' . $WPIT_SELF_VERSION . ' | ' ; echo 'PHP ' . phpversion() .  ' | MySQL ' . mysql_get_server_info();?></em></p>

</div>
